
package de.ivu.elect.presentation.staat.exchange;

import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.exchange.control.AbstractExporter;
import de.ivu.elect.business.exchange.control.NoContext;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.staat.boundary.StaatExporter;
import de.ivu.elect.business.staat.entity.Staat;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.exchange.AbstractExportSearchView;
import de.ivu.elect.presentation.exchange.ExportDescription;

@Named(StaatExportView.COMPONENT_NAME)
@View(viewId = StaatExportView.VIEW_ID, useCase = UseCasePermission.STAATEN_EXPORTIEREN)
public class StaatExportView extends AbstractExportSearchView<List<Staat>, NoContext> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "staatExportView";

  public static final String VIEW_ID = "/staat/staat-export.xhtml";

  @Inject
  private transient StaatExporter exporter;

  @Inject
  private transient StaatExportDescription exportDescription;

  public StaatExportView() {
    super();
  }

  @Override
  protected AbstractExporter<List<Staat>, NoContext> getExporter() {
    return exporter;
  }

  @Override
  protected NoContext getContext() {
    return NoContext.NO_CONTEXT;
  }

  @Override
  public ExportDescription getExportDescription() {
    return exportDescription;
  }
}
